<% @ LANGUAGE = VBScript %>
<% Option Explicit %>
<%
Const ForReading = 1, ForWriting = 2, ForAppending = 8
Const TristateUseDefault = -2 ' Opens the file using the system default.
Const TristateTrue = -1 ' Opens the file as Unicode.
Const TristateFalse  = 0 ' Opens the file as ASCII.
Dim objFileSystem, strFile, strDriveName, objDrive
Dim strDriveType, R

Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")
strFile = Request.ServerVariables("SCRIPT_NAME")
strFile = Server.MapPath(strFile)
strDriveName = objFileSystem.GetDriveName(strFile)
Set objDrive = objFileSystem.GetDrive(strDriveName)

R =     "Some Properties of Drive " & strDriveName & "<BR>"
R = R & "Drive Letter = " & objDrive.DriveLetter & "<BR>"
R = R & "Path = " & objDrive.Path & "<BR>"
R = R & "File System = " & objDrive.FileSystem & "<BR>"
R = R & "Volume Name = " & objDrive.VolumeName & "<BR>"
R = R & "Free Space = " & FormatNumber(objDrive.FreeSpace/1024, 0) & " KB<BR>"
R = R & "Total Size = " & FormatNumber(objDrive.TotalSize/1024, 0) & " KB<BR>"
R = R & "Root Folder = " & objDrive.RootFolder & "<BR>"
R = R & "Serial Number = " & objDrive.SerialNumber & "<BR>"
R = R & "Share Name = " & objDrive.ShareName & "<BR>"

If objDrive.IsReady = TRUE Then
   R = R & "Access Status = Ready for Access" & "<BR>"
Else
   R = R & "Access Status = Not ready for Access" & "<BR>"
End If

Select Case objDrive.DriveType
   Case 0: strDriveType = "Unknown"
   Case 1: strDriveType = "Removable"
   Case 2: strDriveType = "Fixed"
   Case 3: strDriveType = "Network"
   Case 4: strDriveType = "CD-ROM"
   Case 5: strDriveType = "RAM Disk"
End Select
R = R & "Drive Type = " & strDriveType & "<BR>"

Response.Write R

Set objDrive = Nothing
Set objFileSystem = Nothing
%>
