<% @LANGUAGE = VBScript %>
<% ' Listing 18.10 ASP script to execute the Stored Procedure sp_Exercise
Option Explicit
Response.Expires = 0
%>
<!--#include file="adovbs.inc"-->
<%
Function HTMLEncode(strA)
   If isNull(strA) Then
      HTMLEncode = ""
   Else
      HTMLEncode = Server.HTMLEncode(strA)
   End If
End Function

Dim objConn, objRS
Dim strConnection, strOut
Dim objCmd, objParam

Set objConn = Server.CreateObject("ADODB.Connection")
objConn.Open "Data Source=Northwind;User ID=sa;Password=;"

Set objCmd = Server.CreateObject("ADODB.Command")
objCmd.CommandText = "sp_Exercise"
objCmd.CommandType = adCmdStoredProc

Set objCmd.ActiveConnection = objConn

Set objParam = objCmd.CreateParameter("@CustomerID", adWChar, adParamInput, 5, "RATTC")
objCmd.Parameters.Append objParam

Set objParam = objCmd.CreateParameter("@CustomersTotal", adInteger, adParamOutput, 4)
objCmd.Parameters.Append objParam

objCmd.Execute()
%>
<HTML>
<BODY>
Output of the stored procedure sp_Exercise:
<BR><BR>
Number of customers in table Customers:
<%= objCmd.Parameters("@CustomersTotal").value %>
<BR>
Records from the table Orders,
where CustomerID is
<%= objCmd.Parameters("@CustomerID")  %>:<BR>
<TABLE CELLSPACING="2" CELLPADDING="2">
<TR>
   <TH>OrderID</TH>
   <TH>Order Date</TH>
   <TH>Required Date</TH>
   <TH>Shipped Date</TH>
</TR>
<%
Set objRS = objCmd.Execute()
While Not objRS.EOF
   strOut = "<TR>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("OrderID")) & "</TD>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("OrderDate")) & "</TD>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("RequiredDate")) & "</TD>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("ShippedDate")) & "</TD>"
   strOut = strOut & "</TR>"
   Response.Write strOut
   objRS.MoveNext
Wend
%>
</TABLE>
<BR>
Records from the table Suppliers,
where Country is USA:<BR>
<TABLE CELLSPACING="2" CELLPADDING="2">
<TR>
   <TH>SupplierID</TH>
   <TH>Company Name</TH>
   <TH>Contact Name</TH>
   <TH>Phone</TH>
</TR>
 
<%
Set objRS = objRS.NextRecordset
While Not objRS.EOF
   strOut = "<TR>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("SupplierID")) & "</TD>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("CompanyName")) & "</TD>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("ContactName")) & "</TD>"
   strOut = strOut & "<TD>" & HTMLEncode(objRS("Phone")) & "</TD>"
   strOut = strOut & "</TR>"
   Response.Write strOut
   objRS.MoveNext
Wend
%>
</TABLE>
<%
objRS.Close
objConn.Close
Set objRS = Nothing
Set objConn = Nothing
Set objParam = Nothing
Set objCmd = Nothing
%>
</BODY>
</HTML>
